Bug 460305 - Exit the deleted directory
Summary: Exit the deleted directory
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-10-12 13:20 UTC by Vova Kulik
Modified: 2022-11-29 21:03 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 23.04


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vova Kulik 2022-10-12 13:20:45 UTC
SUMMARY
***
Currently, when the opened directory gets deleted by some other process, the user is left in a non-existing directory and can't perform any useful actions in this state. I think a better behavior would be to go up the directory hierarchy until we find an existing directory and open it and also notify the user about it. I'd be interested to work on this.
Comment 1 Felix Ernst 2022-10-12 14:32:13 UTC
Feel free to work on this. I am not quite sure how easy it is to be notified if the current directory has been deleted by some other process. It might not be as easy as it might seem. (Or it might be easy, I don't really know.)

I also want to mention that if your implementation were to require regular polls or pings to make sure the directory still exists, we probably wouldn't want to merge it, because we tend to avoid performance penalties for things that aren't strictly necessary.

Good luck! :)
Comment 2 Vova Kulik 2022-10-23 10:07:24 UTC
Git commit c9efd08118058cd4aaa0c666a9369ce0055eaf79 by Vova Kulik.
Committed on 17/10/2022 at 19:11.
Pushed by meven into branch 'dolphin-removed-dir'.

Clear all the item data before emitting parent dir removed

M  +1    -0    src/kitemviews/kfileitemmodel.cpp

https://invent.kde.org/system/dolphin/commit/c9efd08118058cd4aaa0c666a9369ce0055eaf79